%define backuppc_uid 65417
%define backuppc_gid 65417
%define        servercgidir     %(apxs -q cgidir 2>/dev/null)
%define        serverhtdocsdir     %(apxs -q htdocsdir 2>/dev/null)

Name:          BackupPC
Version:       3.3.0
Release:       1mamba
Summary:       A system for backing up Linux, WinXX PCs, Macs and laptops to a server's disk
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://backuppc.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/backuppc/BackupPC-%{version}.tar.gz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      httpd

%description
BackupPC is a high-performance, enterprise-grade backup system for backing up Linux, WinXX PCs, Macs and laptops to a server's disk. Features include clever pooling of identical files, no client-side software, and a powerful Apache/CGI user interface.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
perl configure.pl \
   --batch \
   --cgi-dir=%servercgidir \
   --html-dir=%serverhtdocsdir/BackupPC \
   --html-dir-url=/BackupPC \
   --backuppc-user=backuppc \
   --install-dir /opt/BackupPC \
   --dest-dir %{buildroot} \
   --data-dir /var/BackupPC \
   --no-set-perms \
   --uid-ignore

install -D -m0755 init.d/linux-backuppc %{buildroot}%{_initrddir}/backuppc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   /usr/sbin/groupadd backuppc -g %{vscan_gid} 2>/dev/null
   /usr/sbin/useradd -u %{vscan_uid} -c 'Virus Scan user' -d /var/amavis -g vscan -s /bin/false vscan 2>/dev/null                                                                                                           
fi                                                                                                            
exit 0

%preun
if [ $1 -eq 0 ]; then
   /usr/sbin/userdel backuppc 2>/dev/null
   /usr/sbin/groupdel backuppc 2>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/BackupPC/config.pl
%config(noreplace) %{_sysconfdir}/BackupPC/hosts
%{_initrddir}/backuppc
%attr(-,backuppc,nobody) %{servercgidir}/BackupPC_Admin
%attr(-,backuppc,nobody) %{serverhtdocsdir}/BackupPC
%attr(-,backuppc,backuppc) /opt/BackupPC
%doc LICENSE
#%doc ChangeLog README

%changelog
* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sun Aug 08 2010 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic update by autodist

* Thu Feb 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-2mamba
- rebuilt to eliminate executable requirements

* Tue Apr 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- package created by autospec
